Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 995995

Summary: Review Request: lunar-date - Chinese lunar date library
Product: [Fedora] Fedora Reporter: Mike Manilone <crtmike>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: i, package-review
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: AwaitingSubmitter
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-15 02:45:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 201449    

Description Mike Manilone 2013-08-12 07:18:50 UTC
Spec URL: http://people.midymidy.com/~ekd123/RPM/lunar-date.spec
SRPM URL: http://people.midymidy.com/~ekd123/RPM/lunar-date-2.4.0-1.fc19.src.rpm
Description:

A feature-complete GLib-based library for Chinese lunar date conversion.

Fedora Account System Username: unixekd123

Comment 1 Christopher Meng 2013-08-12 09:05:10 UTC
1.This is not the latest version. 

2. Have you tested its usability? This package has been packaged by myself for a long time, but because its upstream is dead, I'm not sure if it's useful.

Comment 2 Mike Manilone 2013-08-12 09:34:52 UTC
(In reply to Christopher Meng from comment #1)
> 1.This is not the latest version. 
http://code.google.com/p/liblunar/ shows that this is the latest one.

> 
> 2. Have you tested its usability? This package has been packaged by myself
> for a long time, but because its upstream is dead, I'm not sure if it's
> useful.
https://extensions.gnome.org/extension/675/lunar-calendar/ depends on it.

Comment 3 Christopher Meng 2013-08-12 10:50:08 UTC
I can find 3.0 version.

Comment 4 Mike Manilone 2013-08-12 11:34:27 UTC
Nope, that's lunar-calendar, a graphical library targetting Gtk+3, while lunar-date is a low-level library for date conversion.

Comment 5 Michael Schwendt 2013-09-09 15:54:11 UTC
Have rpmlint and/or "fedora-review -b 995995" been run for this one yet?


> %files data
> %dir %{_datadir}/liblunar
> %{_datadir}/liblunar/*

  %files data
  %{_datadir}/liblunar/

would be shorter and achieves the same. 

Btw, here the subpackage includes only three tiny files, each below 1KB, and the base package even strictly depends on this package. Is that really enough reason to introduce a noarch subpackage?


> %package        docs

The guidelines recommend -doc not -docs:
https://fedoraproject.org/wiki/Packaging:Guidelines#Documentation

The subpackage is 14788 bytes long. I would keep it in the -devel package.